package ai.pai.lensman.activities;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

import com.android.common.utils.LogHelper;
import com.nostra13.universalimageloader.core.DisplayImageOptions;

import ai.pai.lensman.R;
import ai.pai.lensman.base.BaseActivity;
import ai.pai.lensman.utils.EncryptUtils;
import ai.pai.lensman.utils.ImageLoaderUtils;
import ai.pai.lensman.utils.SystemUtils;


public class EncryptActivity extends BaseActivity implements View.OnClickListener {

    private ImageView image;
    private String originImgFilePath = "/mnt/sdcard/demo.jpg";
    private String encryptImgFilePath = "/mnt/sdcard/encrypt.jpg";
    private String decryptImgFilePath = "/mnt/sdcard/decrypt.jpg";
    private DisplayImageOptions options;

    private String currentPath = "";
    private Button encryptBtn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_encrypt);
        SystemUtils.setImmerseLayout(this, findViewById(R.id.title_layout));
        options = ImageLoaderUtils.getOptions(R.drawable.default_img);


        ((TextView) findViewById(R.id.title_bar_middle_txt)).setText("加密");
        findViewById(R.id.title_bar_back_layout).setOnClickListener(this);
        findViewById(R.id.title_bar_option_layout).setVisibility(View.INVISIBLE);
        encryptBtn = (Button) findViewById(R.id.btn_encrypt);
        encryptBtn.setOnClickListener(this);
        findViewById(R.id.title_bar_back_layout).setOnClickListener(this);
        image = (ImageView) findViewById(R.id.image_encrypt);
        currentPath = originImgFilePath;
        ImageLoaderUtils.displayLocalImage(currentPath, image, options);

    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.title_bar_back_layout:
                finish();
                break;
            case R.id.btn_encrypt:
                try {
                    if (currentPath.equals(originImgFilePath) || currentPath.equals(decryptImgFilePath)) {
                        LogHelper.d("czy", "开始加密");
                        EncryptUtils.xorFile(originImgFilePath, encryptImgFilePath, "chengzhenyu".getBytes());
                        LogHelper.d("czy", "加密成功");
                        currentPath = encryptImgFilePath;
                        ImageLoaderUtils.displayLocalImage(currentPath, image, options);
                        encryptBtn.setText("解密");
                    } else {
                        LogHelper.d("czy", "开始解密");
                        EncryptUtils.xorFile(encryptImgFilePath, decryptImgFilePath, "chengzhenyu".getBytes());
                        LogHelper.d("czy", "解密成功");
                        currentPath = decryptImgFilePath;
                        ImageLoaderUtils.displayLocalImage(currentPath, image, options);
                        encryptBtn.setText("加密");
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                    LogHelper.d("czy", "加解密失败 " + e);
                    Toast.makeText(this, "加解密失败", Toast.LENGTH_SHORT).show();
                }
                break;
            default:
                break;
        }
    }


}
